> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rating Drivers



## OpenAPI

````yaml get /v1/agents/{assistant_id}/insights/rating-drivers
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{assistant_id}/insights/rating-drivers:
    get:
      tags:
        - V1 - Insights
      summary: Rating Drivers
      operationId: rating_drivers
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: days
          in: query
          required: false
          schema:
            type: integer
            maximum: 90
            minimum: 1
            default: 7
            title: Days
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 20
            minimum: 1
            default: 8
            title: Limit
        - name: deployment_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Deployment Id
        - name: message_length
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - short
                  - medium
                  - long
                type: string
              - type: 'null'
            title: Message Length
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RatingDrivers'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RatingDrivers:
      properties:
        positive:
          items:
            $ref: '#/components/schemas/RatingDriver'
          type: array
          title: Positive
        negative:
          items:
            $ref: '#/components/schemas/RatingDriver'
          type: array
          title: Negative
      type: object
      required:
        - positive
        - negative
      title: RatingDrivers
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RatingDriver:
      properties:
        theme:
          type: string
          title: Theme
        count:
          type: integer
          title: Count
      type: object
      required:
        - theme
        - count
      title: RatingDriver
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````